Permalink
Browse files

upgrade to Groovy 1.7.2

  • Loading branch information...
1 parent 4dcb2d1 commit 0054d1470a6fb6982f9ad5290df49dd4ed2d17a1 @graemerocher graemerocher committed Apr 20, 2010
View
2 .classpath
@@ -40,7 +40,6 @@
<classpathentry kind="lib" path="lib/dom4j-1.6.1.jar"/>
<classpathentry kind="lib" path="lib/ejb3-persistence-1.0.2.GA.jar"/>
<classpathentry kind="lib" path="lib/gant_groovy1.7-1.9.2.jar"/>
- <classpathentry kind="lib" path="lib/groovy-all-1.7.1.jar" sourcepath="/Developer/groovy-dev/releases/groovy-1.7.1/src/main"/>
<classpathentry kind="lib" path="lib/hsqldb-1.8.0.10.jar"/>
<classpathentry kind="lib" path="lib/jcl-over-slf4j-1.5.8.jar"/>
<classpathentry kind="lib" path="lib/jsp-api-2.0.jar"/>
@@ -75,5 +74,6 @@
<classpathentry kind="lib" path="lib/aspectjweaver-1.6.6.jar"/>
<classpathentry kind="lib" path="lib/ehcache-core-1.7.1.jar"/>
<classpathentry kind="var" path="ASPECTJRT_LIB"/>
+ <classpathentry kind="lib" path="lib/groovy-all-1.7.2.jar"/>
<classpathentry kind="output" path="target/eclipse/bin-output"/>
</classpath>
View
2 bin/startGrails
@@ -114,7 +114,7 @@ fi
if [ -z "$GROOVY_CONF" ]; then
GROOVY_CONF="$GRAILS_HOME/conf/groovy-starter.conf"
fi
-STARTER_CLASSPATH="$GRAILS_HOME/lib/groovy-all-1.7.1.jar:$GRAILS_HOME/dist/grails-bootstrap-1.3.0.BUILD-SNAPSHOT.jar"
+STARTER_CLASSPATH="$GRAILS_HOME/lib/groovy-all-1.7.2.jar:$GRAILS_HOME/dist/grails-bootstrap-1.3.0.BUILD-SNAPSHOT.jar"
# Allow access to Cocoa classes on OS X
if $darwin; then
View
2 bin/startGrails.bat
@@ -106,7 +106,7 @@ set CMD_LINE_ARGS=%$
:execute
@rem Setup the command line
-set STARTER_CLASSPATH=%GRAILS_HOME%\lib\groovy-all-1.7.1.jar;%GRAILS_HOME%\dist\grails-bootstrap-1.3.0.BUILD-SNAPSHOT.jar
+set STARTER_CLASSPATH=%GRAILS_HOME%\lib\groovy-all-1.7.2.jar;%GRAILS_HOME%\dist\grails-bootstrap-1.3.0.BUILD-SNAPSHOT.jar
if exist "%USERPROFILE%/.groovy/init.bat" call "%USERPROFILE%/.groovy/init.bat"
View
4 build.gradle
@@ -22,8 +22,8 @@ configurations {
dependencies {
lib = "$projectDir/lib"
- groovy files("$lib/groovy-all-1.7.1.jar")
- compile files(fileTree(dir: lib as File, includes: ['*.jar'], excludes: ['jsp-api-2.1.jar', 'groovy-all-1.7.1.jar']), "${System.getenv('JAVA_HOME')}/lib/tools.jar")
+ groovy files("$lib/groovy-all-1.7.2.jar")
+ compile files(fileTree(dir: lib as File, includes: ['*.jar'], excludes: ['jsp-api-2.1.jar', 'groovy-all-1.7.2.jar']), "${System.getenv('JAVA_HOME')}/lib/tools.jar")
jsp21 files("$lib/jsp-api-2.1.jar")
}
View
2 build.properties
@@ -15,7 +15,7 @@ bundlor.svnkit.version=1.3.1
bundlor.servlet.version=2.5.0
bundlor.servlet.jsp.version=2.1.0
bundlor.radeox.version=1.0.0.b2
-bundlor.groovy.version=1.7.1
+bundlor.groovy.version=1.7.2
bundlor.spring.version=3.0.0.RELEASE
bundlor.ant.version=1.7.1
bundlor.ivy.version=2.0.0
View
2 conf/groovy-starter.conf
@@ -10,7 +10,7 @@
##
# Load required libraries
load ${grails.home}/dist/grails-bootstrap-${grails.version}.jar
- load ${grails.home}/lib/groovy-all-1.7.1.jar
+ load ${grails.home}/lib/groovy-all-1.7.2.jar
load ${grails.home}/lib/gpars-0.9.jar
load ${grails.home}/lib/ivy-2.1.0.jar
load ${grails.home}/lib/gant_groovy1.7-1.9.2.jar
View
BIN lib/groovy-all-1.7.1.jar → lib/groovy-all-1.7.2.jar
Binary file not shown.
View
2 maven/grails.pom.in
@@ -63,7 +63,7 @@
<dependency>
<groupId>org.codehaus.groovy</groupId>
<artifactId>groovy-all</artifactId>
- <version>1.7.1</version>
+ <version>1.7.2</version>
<exclusions>
<exclusion>
<groupId>jline</groupId>
View
2 src/java/org/codehaus/groovy/grails/resolve/IvyDependencyManager.groovy
@@ -248,7 +248,7 @@ public class IvyDependencyManager extends AbstractIvyDependencyManager implement
"javax.servlet:jsp-api:2.1"
// dependencies needed for compilation
- compile("org.codehaus.groovy:groovy-all:1.7.1") {
+ compile("org.codehaus.groovy:groovy-all:1.7.2") {
excludes 'jline'
}
View
2 src/resources/bash/startGrails
@@ -114,7 +114,7 @@ fi
if [ -z "$GROOVY_CONF" ]; then
GROOVY_CONF="$GRAILS_HOME/conf/groovy-starter.conf"
fi
-STARTER_CLASSPATH="$GRAILS_HOME/lib/groovy-all-1.7.1.jar:$GRAILS_HOME/dist/grails-bootstrap-@grails.version@.jar"
+STARTER_CLASSPATH="$GRAILS_HOME/lib/groovy-all-1.7.2.jar:$GRAILS_HOME/dist/grails-bootstrap-@grails.version@.jar"
# Allow access to Cocoa classes on OS X
if $darwin; then
View
2 src/resources/bash/startGrails.bat
@@ -106,7 +106,7 @@ set CMD_LINE_ARGS=%$
:execute
@rem Setup the command line
-set STARTER_CLASSPATH=%GRAILS_HOME%\lib\groovy-all-1.7.1.jar;%GRAILS_HOME%\dist\grails-bootstrap-@grails.version@.jar
+set STARTER_CLASSPATH=%GRAILS_HOME%\lib\groovy-all-1.7.2.jar;%GRAILS_HOME%\dist\grails-bootstrap-@grails.version@.jar
if exist "%USERPROFILE%/.groovy/init.bat" call "%USERPROFILE%/.groovy/init.bat"

0 comments on commit 0054d14

Please sign in to comment.